#!/bin/bash
backupdir=/backup/
ext=.tar.gz
dateformat=$(date +%F_%H)UTC$ext

    echo "Starting backup..."
 
    if [ -d $backupdir ] ; then
        sleep 0
    else
        mkdir -p $backupdir
    fi
    screen -r mc -p 0 -X stuff "save-off^M" #Sends an input to screen-session conatining the papermc-server to disable world saving from minecraft
    tar -czf $backupdir$dateformat --exclude="plugins/dynmap/web/tiles" --exclude="cache/" --exclude="*.gz" --exclude="spigo*.jar" --exclude="paper*.jar" /papermc/* #creates a compressed tarball of the minecraft folder
    screen -r mc -p 0 -X stuff "save-on^M" #enables it again
    chmod +rw $backupdir$dateformat
    echo "Backup complete."

exit 0
